Commit 4b4e6268 authored by Laurent Montel's avatar Laurent Montel 😁

Time to increase version

parent 45e687ae
...@@ -8,11 +8,11 @@ set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATI ...@@ -8,11 +8,11 @@ set (KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATI
cmake_minimum_required(VERSION 2.8.12) cmake_minimum_required(VERSION 2.8.12)
find_package(ECM 1.7.0 REQUIRED NO_MODULE) find_package(ECM 5.24.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR}) set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
find_package(Qt5 5.2.0 CONFIG REQUIRED Core Gui Widgets DBus) find_package(Qt5 5.6.0 CONFIG REQUIRED Core Gui Widgets DBus)
include(KDEInstallDirs) include(KDEInstallDirs)
include(KDECMakeSettings) include(KDECMakeSettings)
...@@ -27,7 +27,7 @@ ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KWALLETMANAGER ...@@ -27,7 +27,7 @@ ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX KWALLETMANAGER
VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kwalletmanager_version.h" VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/kwalletmanager_version.h"
) )
find_package(KF5 5.2.0 REQUIRED find_package(KF5 5.24 REQUIRED
Archive Archive
Auth Auth
Config Config
...@@ -53,9 +53,7 @@ add_subdirectory( doc ) ...@@ -53,9 +53,7 @@ add_subdirectory( doc )
add_subdirectory( icons ) add_subdirectory( icons )
add_subdirectory( src ) add_subdirectory( src )
if("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}") feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
endif()
########### install files ############### ########### install files ###############
install( PROGRAMS org.kde.kwalletmanager5.desktop kwalletmanager5-kwalletd.desktop DESTINATION ${XDG_APPS_INSTALL_DIR}) install( PROGRAMS org.kde.kwalletmanager5.desktop kwalletmanager5-kwalletd.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment